Internationalization does not work when setting the preferences to use the Browser locale

07/31/2014 01:11 PM - Christine Fouant

Status: Closed
Priority: Normal
Assignee: Christine Fouant
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1093433 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/451
Description
Created attachment 891607 [details]
screenshot

Description of problem:
Internalization does not work when setting the preferences to use the Browser locale.

Version-Release number of selected component (if applicable):

How reproducible:
100%

Steps to Reproduce:

1. On your browser, set the languange prefereces as follow:

pt_BR, en_US

2. Make sure the user profile has the option "Browser Locale" at the language preferences
3. Clean the cache files on your browser and access:

Content-> Products

Content-> Sync

Actual results:

Pages are displayed in French or Spanish.

Expected results:

Locale works as configured.

Related issues:
Has duplicate Foreman - Bug #6824: Internationalization does not work when se... Rejected

07/29/2014

Associated revisions

Revision b7e9cb55 - 07/31/2014 03:08 PM - Christine Fouant
fixes #6869 - 118n not working w/unsupported languages, BZ 1093433

Revision c1b0872a - 07/31/2014 03:48 PM - Walden Raines

Merge pull request #4513 from cfouant/internationalization

fixes #6869 - 118n not working w/unsupported languages, BZ 1093433

History

#1 - 07/31/2014 03:48 PM - The Foreman Bot

05/18/2024
- Status changed from Assigned to Ready For Testing

- Target version set to 54

#2 - 07/31/2014 04:01 PM - Christine Fouant
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|b7e9cb55b77590c559ef0cba59ad635c494511ae.

#3 - 08/01/2014 02:34 AM - Dominic Cleal

- Has duplicate Bug #6824: Internationalization does not work when setting the preferences to use the Browser locale added

#4 - 08/01/2014 08:06 AM - Eric Helms

- Triaged changed from No to Yes

#5 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13
https://projects.theforeman.org/projects/katello/repository/katello/revisions/b7e9cb55b77590c559ef0cba59ad635c494511ae
http://www.tcpdf.org

